function love.load()
	px = 10
	py = 200
	pw = 30
	ph = 30
	points = 0
	shoot = {}
	player = love.graphics.newImage("Flower.png")
	effect = love.audio.newSource("Wubbly.ogg")
	enemies = {}
	player.shots = {}
	for i = 0,7 do
		enemy = {}
		enemy.width = 40
		enemy.height = 40
		enemy.x = i * (enemy.width)
		enemy.y = enemy.height + 1
		table.insert(enemies, enemy)
	end
end

function love.draw()
	love.graphics.setBackgroundColor(58,238,248)
	love.graphics.setColor(230,0,0)
	love.graphics.print("Press M for Music!!",30,1)
	love.graphics.print("Points: "..points,30,30)
	love.graphics.setColor(255,255,255)
	love.graphics.draw(player,px,py)
	
	love.graphics.setColor(1,255,67)
	love.graphics.rectangle("fill",610,0,30,480)
	love.graphics.rectangle("fill",0,0,30,480)
	love.graphics.rectangle("fill",30,470,640,10)
	love.graphics.setColor(0,255,255)
	for i,v in ipairs(enemies) do
		love.graphics.rectangle("fill",10,10,255,0,67)
		
		
	end	
end	

function love.mousepressed(mq,mw,button)
	if key == "r" then
		points = points + 1
	end
end
function love.keypressed ()
	if k == "(space)" then
		shoot()
	end
end
function love.keyreleased(key)
	if (key == " ") then
		shoot()
	end


function love.update(dt)
	if love.keyboard.isDown("right") then
		px = px + 1
	end
	
	if love.keyboard.isDown("left") then
		px = px - 1
	end
	
	if love.keyboard.isDown("up") then
		py = py - 1
	end
	
	if love.keyboard.isDown("down") then
		py = py + 1
	end
	
	if CheckCollision(px,py,30,30,610,0,30,480) then
	px = px - 1
	end
	
	if CheckCollision(px,py,30,30,0,0,30,480) then
	px = px + 1
	end
	
	if CheckCollision(px,py,30,30,30,470,640,10) then
	py = py - 1
	end
end
	
	
	

function love.mousepressed(mx,my,button)
	if button == "l" then
		px = mx
		py = my
	end
end


function CheckCollision(ax1,ay1,aw,ah,bx1,by1,bw,bh)
	local ax2,ay2,bx2,by2 = ax1 + aw,ay1 + ah,bx1 + bw,by1 + bh
	return ax1 < bx2 and ax2 > bx1 and ay1 <by2 and ay2 > by1
end
function love.keypressed(m)
	if m == "m" then
	effect:play()
	effect:setLooping(true)
	end
	if m == "s" then
	effect:play(false)
	effect:setLooping(false) 
	end
end
function shoot()
	local shot = {}
	shot.x = px+pw
	shot.y = py
	table.insert(player.shots, shots)
end

